summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMantas Mikul─Śnas2015-07-09 22:28:37 +0300
committerMantas Mikul─Śnas2015-07-09 22:28:37 +0300
commit8de72f3812b57c8e4a4c4631ea3cd63670d98b9a (patch)
tree33d5d59b5ccd2d02ec5b79932ff6df3a00b5ac86
downloadaur-8de72f3812b57c8e4a4c4631ea3cd63670d98b9a.tar.gz
initial import
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD26
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3ca0ea5215a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = gsi-sshterm
+ pkgdesc = Java Grid authentication program by the UK National Grid Service
+ pkgver = 0.91d
+ pkgrel = 2
+ url = http://wiki.ngs.ac.uk/index.php?title=GSI-SSHTerm
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = apache-ant
+ depends = java-runtime
+ source = http://downloads.sourceforge.net/project/gsi-sshterm/gsi-sshterm/0.91d/gsi-sshterm-0.91d.tar.gz
+ md5sums = f692f19b5cd20cdef0f1245dcbd6b412
+
+pkgname = gsi-sshterm
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f88c4e764a7
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Pierre Chapuis <catwell at archlinux dot us>
+
+pkgname=gsi-sshterm
+pkgver=0.91d
+pkgrel=2
+pkgdesc='Java Grid authentication program by the UK National Grid Service'
+arch=('i686' 'x86_64')
+url='http://wiki.ngs.ac.uk/index.php?title=GSI-SSHTerm'
+license=('GPL')
+depends=('java-runtime')
+makedepends=('apache-ant')
+source=("http://downloads.sourceforge.net/project/$pkgname/$pkgname/$pkgver/$pkgname-$pkgver.tar.gz")
+md5sums=('f692f19b5cd20cdef0f1245dcbd6b412')
+
+build() {
+ cd $srcdir/sshtools
+ sh make.sh || return 1
+ install -d $pkgdir/opt/ $pkgdir/usr/bin/
+ cp -r release/GSI-SSHTerm-$pkgver $pkgdir/opt/$pkgname
+ rm -f $pkgdir/opt/$pkgname/bin/*.bat
+ echo > $pkgdir/opt/$pkgname/bin/sshterm.log
+ chmod 0666 $pkgdir/opt/$pkgname/bin/sshterm.log
+ echo -e "#!/bin/sh\ncd /opt/$pkgname/bin\n./sshterm.sh" \
+ > $pkgdir/usr/bin/$pkgname
+ chmod 0755 $pkgdir/usr/bin/$pkgname
+}